Subject: Problem with file permissions
From: [email-masked] ("Moenck Bob (NORANDA)")

16 Apr 1997 12:24:03 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <c=CA%a=_%p=NORANDA%l=NORANDA/NORINC/[email-masked]>
Original-To: "[email-masked]'" <[email-masked]>
X-Mailer: Microsoft Exchange Server Internet Mail Connector Version 4.0.994.63
Encoding: 44 TEXT
Original-Sender: [email-masked]

I am new to this list so please excuse foolish questions.

1)  Is there a FAQ of questions on this list ?
     The FAQ in the Release 17.1 doesn't seem to cover my problem.
      The Mailing List Archives only seem to go the end of December 96
and nobody
      seems to have the same problem.

2)  I am running CygWin on Windows 95.   Things seemed to unzip and
untar normally.
     I can run bash and vim.
     I was able to compile and link gdbm-1.7.3
     ( Both the Release 14 version and the standard version).
     However I can't seem to change file permissions.

     If I do "ls -lt", I get lines of the form:
     "-rw-r--r--   1 moenckb  everyone   0   Apr 16 10:04  test.txt"
     If I do "chmod 777 test.txt", followed by "ls -lt", the permissions
do not change!?

     I came upon this problem when I tried to run the versions of gdbm I
had built.
     If I do  "testgdbm.exe", I get:
     "gdbm_open failed, Can't be writer."
     Yet "junk.gdbm" is created with the "644" permissions and is of
length 0 !?
      I get similar results with Berkley DB.

      Is this some Unix related thing?
      I got my name on the file ownership by creating /etc/group and
/etc/passwd files
      with vim.
      Are there other Unix files which affect file permissions?
      Or is this some Windows 95 thing?      Do I have to set up some
registry entry?

3)   I down loaded some of the other Release 14 applications.
       But I am at a loss as to how to build them.
       In particular V seems to require the Borland C compiler.
       Can it be built with g++ ?
       What about ncurses ?

Many thanks for any advice you can offer.
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".